1MSG

Conversational automation

POST
/conversationalAutomation

Обновить conversational components. Поля: enable_welcome_message (boolean), prompts (string[]), commands ({command_name, command_description}[]).

Authorization

JWT token
querytoken<token>

Request Body

application/json
  1. body
enable_welcome_message?boolean

Enable automatic welcome message

prompts?array<>

Ice-breaker prompts (max 4)

Itemsitems <= 4
commands?array<>

Optional slash commands shown in the WhatsApp composer (name + description).

[key: string]?any

Response Body

Upstream result, or { "result": "success" } when the provider returns an empty body

application/json
  1. response
result?string
[key: string]?any
curl -X POST 'https://api.1msg.io/123/conversationalAutomation' \  -H 'Content-Type: application/json' \  -d '{  "enable_welcome_message": true,  "prompts": [    "How can I help?"  ],  "commands": [    {      "command_name": "help",      "command_description": "Get support options"    }  ]}'
{  "result": "success"}